# frozen_string_literal: true

#
# Cookbook:: snu_nginx_fips
# Recipe:: default
#
# Copyright:: 2017, Socrata, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

attrs = node['snu_nginx_fips']

snu_nginx_fips_app 'default' do
  version attrs['version'] unless attrs['version'].nil?
end

snu_nginx_fips_service 'default' do
  config_file attrs['config_file'] unless attrs['config_file'].nil?
  file_limit attrs['file_limit'] unless attrs['file_limit'].nil?
end
